Package org.eclipse.jdt.core

# Interface JavaCore.JavaCallable<V,E extends Exception>

Enclosing class:
  JavaCore

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public static interface JavaCore.JavaCallable<V,E extends Exception>

Since:
  3.37

## Method Summary

Modifier and Type
Method
Description
`V`
`call()`
Computes a value or throws an exception.

## Method Details

### call

V call() throws E
Computes a value or throws an exception.

Returns:
  the result
Throws:
  `E` - the Exception of given type